#ifndef EXCELSIOR_DRAW_H
#define EXCELSIOR_DRAW_H

#include "excelsior_types.h"
#include "excelsior_style.h"

#include <gtk/gtk.h>
#include <gdk/gdk.h>

#include <cairo.h>

GE_INTERNAL void excelsior_register_style_classic (excelsiorStyleFunctions *functions);

/* Fallback focus function */
GE_INTERNAL void excelsior_draw_focus (cairo_t *cr,
                                        const excelsiorColors *colors,
                                        const WidgetParameters *widget,
                                        const FocusParameters  *focus,
                                        int x, int y, int width, int height);

#endif /* EXCELSIOR_DRAW_H */
